# NOTE
# - mhash used only in RR/TSIG, so we mark it optional
#
%define		_status		stable
%define		_pearname	Net_DNS
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - resolver library to communicate with a DNS server
Summary(pl.UTF-8):	%{_pearname} - biblioteka resolvera używana do komunikacji z serwerem DNS
Name:		php-pear-%{_pearname}
Version:	1.0.7
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	de0b1d5b6ca1edeaffa0586ce7ceed0d
Patch0:		%{name}-missing-vars.patch
URL:		http://pear.php.net/package/Net_DNS/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A resolver library used to communicate with a name server to perform
DNS queries, zone transfers, dynamic DNS updates, etc. Creates an
object hierarchy from a DNS server's response, which allows you to
view all of the information given by the DNS server. It bypasses the
system's resolver library and communicates directly with the server.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Biblioteka resolvera jest używana w komunikacji z serwerami nazw do
przygotowania zapytań DNS, transferów stref, aktualizacji dynamicznego
DNS, itd. Tworzy hierarchię obiektów z odpowiedzi serwera DNS, która
pozwala zobaczyć wszystkie informacje dawane przez serwer DNS. To
omija systemowy resolver i komunikuje się bezpośrednio z serwerem.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
echo '%{name} can optionally use PHP extension "mhash"' >> install.log

%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/*.php
%{php_pear_dir}/Net/DNS
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> be8fc34
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 60b8cb0
- tests are no longer installed - don't try to remove them

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 5e850da
- updated to: 1.0.7

* Mon Sep 06 2010 Jan Rękorajski <baggins@pld-linux.org> adc30b5
- rel 3
- patching in correct place

* Mon Sep 06 2010 Jan Rękorajski <baggins@pld-linux.org> b6eaeb2
- fix "Undefined property: Net_DNS_RR_SOA::$INT16SZ"

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 9aee517
- up to 1.0.5

* Thu Jun 03 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f10d62
- up to 1.0.1

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> bdf717c
- rel 6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> dae5049
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6387039
- converted to UTF-8

* Mon Jan 29 2007 Elan Ruusamäe <glen@pld-linux.org> 9466f8b
- typo

* Mon Jan 29 2007 Elan Ruusamäe <glen@pld-linux.org> f39e0ef
- make mhash optional dep; rel 5

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> cbbb823
- rel 4: use php(extension) virtuals

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> bedb2ad
- 1.0.0-stable; rel 3

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 9e1c1d7
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> feeb78a
- 1.0.0RC4

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 5bc1643
- BR php-pear-PEAR

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 401ea54
- typo

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> c8abf78
- rel .2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 8e88f5b
- semi automatically added deps from pear

